Summary:	A drop-in connection-time spam filter for qmail.
Name:		spamdyke
Version:	4.0.10
Release:	2.art
License:	GPL
Group:		Applications/Internet
Packager:	Scott R. Shinn <scott@atomicrocketturtle.com>
URL:		http://www.spamdyke.org/
Source:		http://www.spamdyke.org/releases/%{name}-%{version}.tgz
Source1:	spamdyke.cron
Source2:	spamdyke.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
spamdyke is a filter for monitoring and intercepting incoming SMTP connections
to a qmail server. It acts as a transparent middleman, observing the conversation
without interference unless it sees something it should block. Because it can
silently monitor, it can also log mail traffic in several different ways.

%package utils
Group:		Utilities/System
Summary:	These are some additional programs for spamdyke.
Requires:	%{name} = %{ver}

%description utils
These are some additional programs for spamdyke.

%prep
%setup

%build
# Build spamdyke...
cd %{name}
%configure --with-excessive-output
make
# Build utils...
cd ../utils
%configure
make

%install
install -d $RPM_BUILD_ROOT{%{_bindir},%{_docdir}/%{name}-%{version},%{_sysconfdir}}
install spamdyke/spamdyke $RPM_BUILD_ROOT%{_bindir}
install utils/{dns*[!.c],domain*[!.c]} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/spamdyke.conf
install documentation/{*.txt,*.html} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}



%{__mkdir_p} %{buildroot}/%{_sysconfdir}/cron.daily/
%{__install} %{SOURCE1} %{buildroot}/%{_sysconfdir}/cron.daily/spamdyke

%triggerin -- psa-qmail
if ! grep -q spamdyke /etc/xinetd.d/smtp_psa ; then
  perl -p -i -e "s[relaylock][relaylock /usr/bin/spamdyke -f /etc/spamdyke.conf]" /etc/xinetd.d/smtp_psa
fi

%triggerun -- psa-qmail 
if grep -q spamdyke /etc/xinetd.d/smtp_psa ; then
 perl -p -i -e "s[/usr/bin/spamdyke -f /etc/spamdyke.conf][]" /etc/xinetd.d/smtp_psa
fi

	
%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/spamdyke.conf
%docdir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*
%{_bindir}/spamdyke
/etc/cron.daily/spamdyke

%files utils
%defattr(-,root,root)
%{_bindir}/dns*
%{_bindir}/domain*

%changelog
* Wed Feb 11 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 4.0.10-2
- added default spamdyke config for plesk
- added default cleanup cron job for plesk

* Wed Feb 11 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 4.0.10-1
- update to 4.0.10
- import to art-build

* Mon Dec 01 2008 UD <admin@underdark.com.br> 4.0.9-1
- 4.0.9-1

* Fri Nov 21 2008 UD <admin@underdark.com.br> 4.0.8-1
- 4.0.8-1

* Fri Nov 21 2008 UD <admin@underdark.com.br> 4.0.7-1
- 4.0.7-1

* Thu Oct 16 2008 UD <admin@underdark.com.br> 4.0.6-1
- Removed service reload, here's not the right place

* Mon Oct 13 2008 UD <admin@underdark.com.br> 4.0.5-1
- Added excessive flag to configure.
- Added service reload

* Wed Sep 10 2008 UD <admin@underdark.com.br> 4.0.4-1
- 4.0.4-1

* Mon Sep 01 2008 UD <admin@underdark.com.br> 4.0.3-1
- First build on RHEL5.
